cascading.flow.planner.iso.subgraph.iterator

## Class IncludeRemainderSubGraphIterator

- java.lang.Object
- - cascading.flow.planner.iso.subgraph.iterator.IncludeRemainderSubGraphIterator

- All Implemented Interfaces:
    SubGraphIterator, Iterator<ElementGraph>

      public class IncludeRemainderSubGraphIterator
      extends Object
      implements SubGraphIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncludeRemainderSubGraphIterator(SubGraphIterator parentIterator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumMultiMap` | `getAnnotationMap(ElementAnnotation[] annotations)`
    `ElementGraph` | `getElementGraph()`
    `protected Set<Pair<FlowElement,FlowElement>>` | `getPairs()`
    `boolean` | `hasNext()`
    `ElementGraph` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncludeRemainderSubGraphIterator

          public IncludeRemainderSubGraphIterator(SubGraphIterator parentIterator)

  - ### Method Detail

    - #### getElementGraph

          public ElementGraph getElementGraph()

      Specified by:
        `getElementGraph` in interface `SubGraphIterator`

    - #### getAnnotationMap

          public EnumMultiMap getAnnotationMap(ElementAnnotation[] annotations)

      Specified by:
        `getAnnotationMap` in interface `SubGraphIterator`

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<ElementGraph>`

    - #### next

          public ElementGraph next()

      Specified by:
        `next` in interface `Iterator<ElementGraph>`

    - #### getPairs

          protected Set<Pair<FlowElement,FlowElement>> getPairs()

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<ElementGraph>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.